Loading...
Searching...
No Matches
_PurpleRoomlistField Struct Reference

A field a room might have. More...

`#include <roomlist.h>`

## Data Fields

PurpleRoomlistFieldType | type
| The type of field.
gchar * | label
| The i18n user displayed name of the field.
gchar * | name
| The internal name of the field.
gboolean | hidden
| Hidden?

## Detailed Description

A field a room might have.

Definition at line 93 of file roomlist.h.

## Field Documentation

## hidden

gboolean _PurpleRoomlistField::hidden

Hidden?

Definition at line 97 of file roomlist.h.

## label

gchar* _PurpleRoomlistField::label

The i18n user displayed name of the field.

Definition at line 95 of file roomlist.h.

## name

gchar* _PurpleRoomlistField::name

The internal name of the field.

Definition at line 96 of file roomlist.h.

## type

PurpleRoomlistFieldType _PurpleRoomlistField::type

The type of field.

Definition at line 94 of file roomlist.h.

The documentation for this struct was generated from the following file:

- roomlist.h